﻿.inline {
	display: inline-block;
}
	
.formInput {
    vertical-align: top;
	padding: 0.3em;
}

fieldset {
    vertical-align: top;
    margin: 0.3em;
}

fieldset.k-block {
	background: none;
}
		
legend {
	font-weight: bold;
}
		
label {
	display: block;
	font-size: 0.8em;
}


form {
    padding:10px;
}

/* psa 24.07.17: grids in formularen (zb mnedit bei benutzer) */
form > div.k-grid .k-grid-content {
    min-height: 100px;
    max-height: 500px;
}

input[readonly] {
    background-color: rgb(220, 220, 220) !important;
}

.k-tabstrip-wrapper {
	padding: 0;
}
		
.k-tabstrip {
	border-width: 0;
	background: none;
}
		
.k-tabstrip:focus {
	box-shadow: none;
}













html {
    font-size: 100%; /* most browsers default 16px */
}

body {
    font-family: Tahoma; /* todo: iPhone und iPad Safari don't support this font */
    font-size: 80%;
    /*font-size: 13px;*/ /* when using pt instead of px, popup notifications overlap: https://github.com/telerik/kendo-ui-core/issues/3277 */
    background-color: rgb(246, 246, 246);
}



/* model validation */
.field-validation-error { color: #f00; }
.validation-summary-errors { color: #f00; }
/*.input-validation-error { border: 2px solid #f00; background-color: #fee; }
input[type=checkbox].input-validation-error { outline: 2px solid #f00; }*/





/* menu top */





/* put menu above popup notifications */
#menuTop {
    position: relative;

    /*
        z-index
            Kendo notification 10050
            Kendo window / Kendo menu popup 10002

        todo: grid context menu and modal dialogs should go over the top menu, but notifications below
        right now notifications are above the top menu (and its sub menu) and above dialogs
    */

    /*z-index: 20000;*/
}

/* right-aligned menu items */
#menuTop .align-right {
    float: right;
}

/* hide menu item arrow icons */
#menuTop .k-i-arrow-60-down {
   display: none;
}

/* hide menu item border */
#menuTop .k-item {
    border-style: none;
}

/* padding of button menu items */
#menuTop .btn .k-link { /* psa 03.08.17: wird das überhaupt verwendet? */
    padding-right: 5px;
}

/* padding of logo in menu */
#menuTop .logo .k-link {
    padding:3px 10px 2px 15px;
}

/* logo should have the same background color as the menue */
#menuTop .logo.k-state-highlight {
    /*background-color: initial;*/
    background-color: rgba(0, 0, 0, 0); /* for IE, which otherwise shows a white background for transparent images */
}

/* padding of logout div */
#menuTopLogout { 
    padding:1px 10px; 

    /*padding-top: 1px;
    padding-bottom: 1px;
    padding-left: 10px;
    padding-right: 10px;*/
}

/* padding of notifications div */
#menuTopNotifications {
    width: 50vw;
    max-height: calc(100vh - 31px);

    overflow-y: auto;
}

/* hide default style of notifications */
#menuTopNotifications .k-widget {
    background: initial;
    border: initial;
    color: black;
}

/* text will wrap when neccessary */
#menuTopNotifications .k-notification-wrap {
    white-space: normal;
}

/* color of notification icons */
#menuTopNotifications .k-i-info { color: #06c; }
#menuTopNotifications .k-i-success { color: #37b400; }
#menuTopNotifications .k-i-warning { color: #ffc000; }
#menuTopNotifications .k-i-error { color: #db4240; }





/*body > .k-animation-container > .k-notification {
    max-width: 45vw;
}*/

/*.k-animation-container, .k-notification {
    max-width: 45vw;
    white-space: normal;
}*/

/*.k-animation-container :after {
    box-sizing: initial;
}*/

.k-notification-wrap {
    max-width: 45vw;
    white-space: initial;
    word-break: normal; /* for IE */
}

/*.k-notification-wrap > .k-icon.k-i-close {
    display: none;
}*/

/*.k-notification-wrap .k-i-close {
    opacity: 0;
    display: none !important;
}*/






/* content below top menu */





#content {
    /*clear: both;*/
    /*height: calc(100vh - 31px);*/
}

#sidebar {
    height: calc(100vh - 31px);
    overflow-y: scroll;
    background-color: rgb(230, 230, 230);
}

.k-rpanel-left, .k-rpanel-right {
    min-width: initial;
}

#treeview-left {
    overflow: hidden; /* avoid horizontal scrollbar when opening/closing sidebar */
    margin: 5px;
    font-size: 95%;
    /*font-size: 12pt;*/

    /*min-height: calc(100vh - 31px - 10px);*/ /* avoid vertical scrollbar in the middle of the screen */
}

#main {
    overflow: auto;
}

h1 {
    font-size: 120%;
}









/* Kendo tabstrip/grid auto expand */
/* http://docs.telerik.com/kendo-ui/controls/data-management/grid/how-to/Layout/expand-grid-to-match-tabstrip-height-within-splitter-pane */
html,
body,
#tab0_g0, #tab1_g0, /* = #grid */
#tabstrip-parent,
#tabs /* = #tabstrip*/ {
    margin: 0;
    padding: 0;
    border-width: 0;
    height: 100%; /* DO NOT USE !important for setting the Grid height! */
}





/* Kendo TabStrip */
/* http://www.telerik.com/forums/removing-tab-container */
#tabs {
    border-width: 0;
}

div.k-tabstrip:focus {
    box-shadow: none;
}

/* outer tabstrip no padding */
#tabs > div.k-content {
    padding: 0;
}

/* form tabstrip no border */
#tabs div.k-tabstrip {
    border: none;
}

div.form_element {
    padding: 5px;
}

/*div.form_element > label {*/
label.form_element {
    display: inline-block;
}

div.selectionForm {
    padding: 0.92em;
}

/* Kendo TabStrip close button */
.k-tabstrip-items li {
    height: 27px; /* to have equal heights independent of the close button; default 24px */
}

.k-tabstrip-items li .k-button {
    line-height: 1;
    padding: 0;
    vertical-align: top;
    margin-bottom: -2px;
}

.k-tabstrip-items li .k-icon {
    margin: 0;
}

/* center image in tab text name */
.k-image.imageOnly {
    margin-left: 0 !important;
    margin-right: 0 !important;
}





/* todo: replace with Kendo update, when fixed: https://github.com/telerik/kendo-ui-core/issues/3335 */
/*#showVariantsDialogBtn .k-image {
    vertical-align: text-top;
}*/
/*.k-button-icon*/ .k-image {
    vertical-align: text-top;
}


/* Kendo grid toolbar buttons */

/* todo: replace with Kendo solution */
.k-toolbar img {
    vertical-align: inherit;
}



/* form labels */
/*td.genericedit_label {
    width: 1px;
    white-space: nowrap;
}*/










/* M:N Edit Dialog */
.mnedit_layout_table {
    display: table;
}

.mnedit_layout_row {
    display: table-row;
}

.mnedit_layout_left,
.mnedit_layout_center,
.mnedit_layout_right {
    display: table-cell;
}

.mnedit_layout_left,
.mnedit_layout_right {
    width: 50%;
}

.mnedit_layout_center {
    vertical-align: middle;
}

.mnedit_layout_footer {
    width: 100%;
    text-align: center;
}

#mnedit_btn_moveleft,
#mnedit_btn_moveright,
#mnedit_btn_ok,
#mnedit_btn_cancel {
    margin: 10px;
}



.sp-link {
    text-decoration: underline;
}

    .sp-link:hover {
        color: #444;
    }